function r = ikan(R)
%IKAN Computes the axis and angle of a rotation matrix
%
%IKAN  individua l'asse e l'angolo di rotazione connessi ad
%      una generica matrice di rotazione.

% Author: Andrea Fusiello

phi = acos((trace(R)-1)/2);
r0 = [R(3,2)-R(2,3), R(1,3)-R(3,1), R(2,1)-R(1,2)]';
r = phi* r0/norm(r0);
